Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#76 29-07-2022 18:25:43

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

Tawal a écrit :

Hello,

Pour supprimer les lignes concernant clamav :

sed -i '/^clamav/d' /var/lib/dpkg/statoverride



ok c'est top de pouvoir commander que le système efface d'un coup tout ce qui se nomme "abcdfef" !

Hors ligne

#77 29-07-2022 18:28:31

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

vv222 a écrit :

Il vaudrait mieux passer par les outils dédiés. Par exemple pour retirer cette ligne :

clamav clamav 700 /var/lib/clamav-unofficial-sigs/gpg-key

de ce que je comprends du manuel la commande à utiliser serait :

dpkg-statoverride --remove /var/lib/clamav-unofficial-sigs/gpg-key



Le manuel de dpkg-statoverride est très court et en français, donc ce n‘est pas bien compliqué de comprendre comment s’en servir.



Je vais lire ce manuel, la ligne de commande me semble logique en la lisant.

Par contre on ne peut pas ouvrir un fichier dans un éditeur de texte, uniquement dans le terminal, pour la modifier ?

Hors ligne

#78 29-07-2022 18:52:57

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

pas de manuel en français mais en anglais (Qwant ?)

https://man7.org/linux/man-pages/man1/d … l#COMMANDS

effectivement la commande que tu as écrite me semble encore plus logique après lecture.

je teste

Hors ligne

#79 29-07-2022 19:01:32

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

Hors ligne

#80 29-07-2022 19:01:52

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

ok c'est bon ça supprime la ligne

root@debian:~# dpkg-statoverride --remove /var/lib/clamav-unofficial-sigs/gpg-key
 


après avoir "fait ENTER", par contre pas de message pour dire "ligne effacée" par exemple, donc j'ai vérifié en tapant la commande

root@debian:~# cat /var/lib/dpkg/statoverride
 


geoclue geoclue 755 /var/lib/geoclue
root lp 775 /var/log/hp/tmp
clamav clamav 755 /var/cache/clamav-unofficial-sigs/si-dbs
root crontab 2755 /usr/bin/crontab
root Debian-exim 640 /etc/exim4/passwd.client
root mlocate 2755 /usr/bin/mlocate
root root 1733 /var/lib/php/sessions
root ssl-cert 710 /etc/ssl/private
clamav clamav 755 /var/cache/clamav-unofficial-sigs/add-dbs
clamav clamav 755 /var/cache/clamav-unofficial-sigs/ss-dbs
hplip root 755 /var/run/hplip
root messagebus 4754 /usr/lib/dbus-1.0/dbus-daemon-launch-helper
clamav clamav 755 /var/cache/clamav-unofficial-sigs/msrbl-dbs
clamav clamav 755 /var/lib/clamav-unofficial-sigs/configs
clamav clamav 755 /var/cache/clamav-unofficial-sigs/mbl-dbs
root root 4755 /usr/lib/spice-gtk/spice-client-glib-usb-acl-helper
 



j'aurais préféré pourvoir ouvrir le fichier et supprimer les lignes en direct, plus sécu pour un débutant (selon moi)

je vais tout supprimer comme vu ensemble puis nouvelle tentative de màj.

je vous tiens au jus.

MERCI à tous !

Hors ligne

#81 29-07-2022 20:12:42

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.15 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

C’est possible que la commande ne fasse rien de plus que de modifier le fichier, mais peut-être qu’elle met aussi à jour autre chose dans la base de données de dpkg. C’est pour ça que c’est plus prudent qu’une édition directe du fichier.

Jouer sous Debian ? Facile !

Hors ligne

#82 29-07-2022 20:24:03

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

Tout à fait puisqu'il y a une commande dédiée.
C'est entendu smile

Et au passage, le manuel s'obtient en local avec :

man dpkg-statoverride

wink


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#83 29-07-2022 22:22:44

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

vv222 a écrit :

C’est possible que la commande ne fasse rien de plus que de modifier le fichier, mais peut-être qu’elle met aussi à jour autre chose dans la base de données de dpkg. C’est pour ça que c’est plus prudent qu’une édition directe du fichier.



Ok, en tout cas j'ai bien compris que ta méthodologie est "académique" et pour un débutant c'est plus adapté (selon moi).

J'ai fait comme j'avais dit et tous les fichiers portant la mention "clamav" ont été effacés. J'ai vérifié via "cat" pour être sûr.

J'ai redémarré la bécane et pu faire les màj via le terminal et synaptic.

MERCI encore.

Hors ligne

#84 29-07-2022 22:25:00

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

Tawal a écrit :

Tout à fait puisqu'il y a une commande dédiée.
C'est entendu smile

Et au passage, le manuel s'obtient en local avec :

man dpkg-statoverride

wink



Pourquoi faire compliqué quand on peut faire simple ;-)

MERCI à toi Tawal et à Râleur et Ubub (je crois que je n'oublie personne)

Affaire résolue !

Hors ligne

#85 30-07-2022 14:23:59

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

Bonjour,
si l'affaire est résolue, tu peux l'indiquer dans le titre (suffit de cliquer "modifier" dans ton 1° message, et de modifier en conséquence)
Après, tu peux remercier vv22 aussi, après tout, c'est lui qui t'as filé la bonne ligne à taper    smile
Après, tant que tu y es, tu devrai "migrer" ta debian vers une version plus récente.. t'as la debian9, on en est à la 11...
Et je ne saurais que te conseiller de n'installer que des paquets qui sont dans les dépots (ceux qui sont dans synaptic) si tu veux t'éviter de futurs problèmes ...
Je ne sais pas où tu es allé chercher clamav, mais eserts, par exemple, n'est pas dans les dépots ...
ce qui ne facilitera pas forcément ta "migration"...
cordialement,
    XXXX

Hors ligne

#86 30-07-2022 15:51:10

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.15 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

ubub a écrit :

Après, tu peux remercier vv22 aussi, après tout, c'est lui qui t'as filé la bonne ligne à taper    smile



J’ai déjà eu droit à mon merci personnel dans le message précédent, je ne me suis pas senti oublié wink


Jouer sous Debian ? Facile !

Hors ligne

#87 30-07-2022 21:32:00

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

ubub a écrit :

Bonjour,
si l'affaire est résolue, tu peux l'indiquer dans le titre (suffit de cliquer "modifier" dans ton 1° message, et de modifier en conséquence)
Après, tu peux remercier vv22 aussi, après tout, c'est lui qui t'as filé la bonne ligne à taper    smile
Après, tant que tu y es, tu devrai "migrer" ta debian vers une version plus récente.. t'as la debian9, on en est à la 11...
Et je ne saurais que te conseiller de n'installer que des paquets qui sont dans les dépots (ceux qui sont dans synaptic) si tu veux t'éviter de futurs problèmes ...
Je ne sais pas où tu es allé chercher clamav, mais eserts, par exemple, n'est pas dans les dépots ...
ce qui ne facilitera pas forcément ta "migration"...
cordialement,
    XXXX



Salut Ubub,

Ok je fais ça de suite.
Exact je n'ai pas mis son nom mais remercié dans ma réponse comme il dit ;-)
Ouh la.....faut que je regarde ça de plus près alors.
Ok je n'utiliserais plus que Synaptic.
debian.png

Hors ligne

#88 30-07-2022 21:32:23

D777
Membre
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-16-686-pae
(G)UI : LXDE
Inscription : 02-09-2017

Re : Mise à jour (apt-get update) impossible ! [RéSOLU]

vv222 a écrit :

ubub a écrit :

Après, tu peux remercier vv22 aussi, après tout, c'est lui qui t'as filé la bonne ligne à taper    smile



J’ai déjà eu droit à mon merci personnel dans le message précédent, je ne me suis pas senti oublié wink



yes.gif

Hors ligne

Pied de page des forums